.footer {
  position: relative;
  background: #0072bc;
  color: #fff;
  padding-top: 60px;
  overflow: hidden;
}

.footer h1,
.footer h2,
.footer h3,
.footer h4,
.footer h5,
.footer h6 {
  color: white !important;
}
.footer ul {
  margin-bottom: 0px;
}

.footer-wrap {
  position: relative;
  padding-bottom: 230px;
}

.footer a:hover {
  color: white;
}

.footer-grid {
  display: grid;
  grid-auto-columns: calc(43% - 45px) calc(19% - 45px) calc(19% - 45px) calc(19% - 45px);
  grid-column-gap: 60px;
  grid-template-areas:
    "f-jsc f-introduce f-search f-service"
    "f-contact f-introduce f-search f-service"
    "f-contact f-column f-column f-column"
    "f-contact f-column-bct f-column-bct f-column-bct"
    "f-contact f-download-app f-download-app f-download-app";
  grid-auto-rows: max-content max-content max-content max-content auto;
}

.footer-grid > div > h3 {
  font-style: normal;
  font-weight: bold;
  font-size: 16px;
  line-height: 30px;
  text-transform: uppercase;
}

.footer-section__contact {
  grid-area: f-contact;
}
/* custom more */
.footer-section__service {
  grid-area: f-service;
}
.footer-section__search {
  grid-area: f-search;
}
.footer-section__download-app {
  grid-area: f-download-app;
}
.footer-section__download-app h3 {
  margin-bottom: 12px;
}
.footer-section__download-app img {
  height: 50px;
  display: inline-block;
  width: auto;
}
.footer-section__download-app img {
  margin-right: 20px;
}
.footer-section__download-app img:last-child {
  margin-right: 0px;
}
/* end custom more */

.footer-column {
  grid-area: f-column;
}

.three-line {
  position: absolute;
  bottom: 0px;
  pointer-events: none;
}

.three-line img {
  width: 100%;
}

.footer-section__jsc {
  grid-area: f-jsc;
  margin-bottom: 20px;
}

.footer-section__jsc h3 {
  margin-bottom: 10px;
}

.footer-section__jsc p {
  font-style: normal;
  font-weight: normal;
  font-size: 14px;
  line-height: 24px;
  margin: 0px;
  padding-right: 40px;
}

.footer-section__contact h3 {
  margin-bottom: 10px;
  font-weight: bold;
  font-size: 24px;
  line-height: 29px;
  text-transform: uppercase;
}

.footer-section__contact h5 {
  font-style: normal;
  font-weight: 500;
  font-size: 16px;
  line-height: 22px;
  margin: 0px;
}

.footer-section__contact div {
  font-style: normal;
  font-weight: 300;
  font-size: 16px;
  line-height: 22px;
}

.headquarter-contact {
  margin-bottom: 10px;
}
.headquarter-contact > div {
  display: flex;
  align-items: center;
}
.headquarter-contact img {
  width: 16px;
  height: 16px;
  margin-right: 4px;
  flex-shrink: 0;
}
.headquarter-contact svg {
  width: 16px;
  height: 16px;
  margin-right: 4px;
  flex-shrink: 0;
}

ul.menu-footer {
  list-style-type: none;
  padding: 0;
}

ul.menu-footer li {
  font-style: normal;
  font-weight: normal;
  font-size: 16px;
  line-height: 27px;
  text-transform: capitalize;
  margin-bottom: 10px;
}
.footer-section__introduce {
  grid-area: f-introduce;
  margin-bottom: 30px;
}
.footer .footer-section__introduce h3,
.footer .footer-column__support h3,
.footer .footer-column__connection h3 {
  font-weight: bold;
  font-size: 16px;
  line-height: 30px;
  margin-bottom: 10px;
  text-transform: uppercase;
}

.footer .footer-section__introduce a:hover {
  color: white;
}

.footer-column__support {
  margin-bottom: 25px;
}

.support-content img {
  height: 41px;
  width: 41px;
  margin-right: 19px;
}

.support-content-icon {
  width: 59.88px;
  height: 60px;
  margin-right: 10px;
}

.support-content-icon img {
  width: 100%;
  height: 100%;
}

.support-content-icon svg {
  width: 100%;
  height: 100%;
}

.support-content-text div {
  font-size: 18px;
  line-height: 27px;
}

.support-content-text p {
  font-style: normal;
  font-weight: bold;
  font-size: 28px;
  line-height: 24px;
  margin-bottom: 0px;
  white-space: nowrap;
}

.footer-column__connection {
  margin-bottom: 25px;
}
.footer-column__connection h3 {
  margin-bottom: 9px;
}
.footer-column__connection .footer-column__social img {
  height: 40px;
  width: 40px;
}
.footer-column__connection .footer-column__social svg {
  height: 40px;
  width: 40px;
}
.footer-column__connection .footer-column__social a {
  margin-right: 5px;
}
.footer-column__connection .footer-column__social a:last-child {
  margin-right: 0px;
}

.footer-column__bct {
  margin-bottom: 25px;
  grid-area: f-column-bct;
}
.footer-column__bct img {
  width: 199px;
  height: 75px;
}

.footer .copy-right-logo {
  position: absolute;
  bottom: 12px;
  z-index: 99;
}

.footer .copy-right-logo img {
  height: 18px;
  width: auto;
}

.footer .copy-right {
  width: calc(100% - 30px);
  position: absolute;
  bottom: 11px;
  z-index: 99;
  color: #0072bc;
  text-align: center;

  font-style: normal;
  font-weight: 300;
  font-size: 14px;
  line-height: 16px;
}

.phone {
  display: flex;
  justify-content: center;
  align-items: center;

  padding: 18px 19px;
  background: #f7941e;
  position: absolute;
  bottom: 50px;
  left: 50px;
  border-radius: 50%;
  z-index: 10;
  font-weight: 500;
  font-size: 18px;
  line-height: 24px;
  box-shadow: 0px 10px 20px rgba(0, 0, 0, 0.16);
  cursor: pointer;
  transition: all 0.35s;
}

.phone img {
  width: 43.24px;
}

.active {
  border-radius: 40px;
}

@media (max-width: 575px) {
  .footer {
    padding-top: 20px;
  }

  .footer-wrap {
    padding-bottom: 78px;
  }

  .footer-section__jsc h3 {
    margin-bottom: 10px;
  }
  .footer-section__jsc p {
    font-size: 14px;
    line-height: 21px;
    padding-right: 0px;
  }

  .footer-grid {
    grid-template-areas:
      "f-jsc f-jsc"
      "f-introduce f-search"
      "f-service f-column"
      "f-contact f-contact"
      "f-download-app f-download-app"
      "f-column-bct f-column-bct";
    grid-auto-columns: 50% 50%;
    grid-column-gap: 0px;
    grid-row-gap: 0px;
    grid-auto-rows: max-content max-content max-content max-content max-content max-content;
  }

  .footer-grid > div > h3 {
    font-size: 20px;
    line-height: 30px;
  }

  .footer .footer-column__bct img {
    width: 162px;
    height: auto;
  }

  ul.menu-footer li {
    font-size: 14px;
    line-height: 21px;
  }

  .footer-column__connection .footer-column__social img {
    width: 24px;
    height: auto;
  }

  .footer-column__connection .footer-column__social svg {
    width: 24px;
    height: auto;
  }

  /* support */
  .footer-column > div {
    margin-bottom: 20px;
  }

  .footer-column > div:last-child {
    margin-bottom: 0px;
  }

  .support-content-icon {
    width: 40px;
    height: 40px;
    margin-right: 5px;
  }

  .support-content-text div {
    font-size: 14px;
    line-height: 21px;
  }

  .support-content-text p {
    font-size: 20px;
    line-height: 30px;
  }

  .footer-section__contact {
    margin-bottom: 20px;
  }
  .footer-section__contact h5 {
    font-style: normal;
    font-weight: 500;
    font-size: 18px;
    line-height: 27px;
  }

  .footer-section__contact div {
    font-style: normal;
    font-weight: 300;
    font-size: 14px;
    line-height: 21px;
  }

  /* copy right */
  .footer .order {
    font-size: 14px;
    line-height: 21px;
    padding: 13px 6px 14px 7px;
    bottom: 180px;
  }

  .footer .copy-right {
    text-align: right;
  }

  .footer .phone {
    width: 50px;
    height: 49.86px;
    left: 16px;
    bottom: 30.14px;
  }

  .footer .phone img {
    width: 22px;
  }

  .footer .copy-right {
    width: unset;
    font-style: normal;
    font-weight: 300;
    font-size: 8px;
    line-height: 9px;

    text-align: right;
    right: 16px;
    bottom: 6.42px;
    opacity: 0.8;
  }

  .footer .copy-right-logo {
    left: 16px;
    bottom: 6.42px;
  }

  .footer .copy-right-logo img {
    height: 9px;
    width: auto;
  }

  .footer-section__introduce h3,
  .footer-column__support h3,
  .footer-column__connection h3 {
    font-size: 20px;
    line-height: 30px;
  }

  .footer-section__introduce,
  .footer-section__search,
  .footer-section__service,
  .footer-column {
    margin-bottom: 20px;
  }
  .footer-section__download-app--img img {
    margin-bottom: 20px;
  }
  .footer-section__download-app h3 {
    margin-bottom: 14px;
  }
}

@media (min-width: 576px) and (max-width: 767px) {
  .footer {
    padding-top: 50px;
  }

  .footer-wrap {
    padding-bottom: 129px;
  }
  
  .footer-section__jsc {
    margin-bottom: 44px;
  }
  .footer-section__jsc h3 {
    margin-bottom: 10px;
  }
  .footer-section__jsc p {
    font-size: 16px;
    line-height: 24px;
    padding-right: 0px;
  }

  .footer-grid {
    grid-template-areas:
      "f-jsc f-jsc f-jsc"
      "f-introduce f-search f-service"
      "f-contact f-contact f-download-app"
      "f-contact f-contact f-column"
      "f-contact f-contact f-column-bct";
    
    grid-auto-columns: calc(33.33% - 20px) calc(33.33% - 20px) calc(33.33% - 20px);
    grid-column-gap: 30px;
    grid-auto-rows: min-content min-content max-content max-content min-content;
  }

  .footer-grid > div > h3 {
    font-size: 18px;
    line-height: 30px;
  }

  .footer .footer-column__bct img {
    width: 162px;
    height: auto;
  }

  ul.menu-footer li {
    font-size: 18px;
    line-height: 27px;
  }

  /* support */
  .footer-column > div {
    margin-bottom: 30px;
  }

  .footer-column > div:last-child {
    margin-bottom: 20px;
  }

  .support-content-icon {
    width: 60px;
    height: 60px;
    margin-right: 10px;
  }

  .support-content-text div {
    font-size: 18px;
    line-height: 27px;
    margin-bottom: 2px;
  }

  .support-content-text p {
    font-size: 24px;
    line-height: 24px;
  }

  .footer-section__contact h5 {
    font-style: normal;
    font-weight: 500;
    font-size: 18px;
    line-height: 27px;
  }

  .footer-section__contact div {
    font-style: normal;
    font-weight: 300;
    font-size: 18px;
    line-height: 22px;
  }

  .footer-column__connection .footer-column__social img {
    width: 40px;
    height: auto;
  }

  .footer-column__connection .footer-column__social svg {
    width: 40px;
    height: auto;
  }

  /* copy right */
  .footer .order {
    font-size: 18px;
    line-height: 24px;
    padding: 19px 20px;
    bottom: 300px;
  }

  .footer .copy-right {
    text-align: right;
  }

  .footer .phone {
    width: 80.22px;
    height: 80px;
    left: 30px;
    bottom: 40px;
  }

  .footer .phone img {
    width: 22px;
  }

  .footer .copy-right {
    width: unset;
    font-style: normal;
    font-weight: 300;
    font-size: 14px;
    line-height: 16px;

    text-align: right;
    right: 32px;
    bottom: 6px;
  }

  .footer .copy-right-logo {
    left: 32px;
    bottom: 5px;
  }

  .footer .copy-right-logo img {
    height: 18px;
    width: auto;
  }
  .footer-section__download-app {
    margin-bottom: 20px;
  }
  .footer-section__download-app h3 {
    margin-bottom: 14px;
  }
  .footer-section__download-app img {
    height: 41px;
  }
  .footer-section__download-app img {
    margin-right: 9.11px;
    margin-bottom: 9.11px;
  }
  .footer-section__download-app img:last-child {
    margin-right: 0px;
    margin-bottom: 0px;
  }

  .footer-section__introduce,
  .footer-section__search,
  .footer-section__service {
    margin-bottom: 40px;
  }
}

@media (min-width: 768px) and (max-width: 991px) {
}

@media (min-width: 992px) and (max-width: 1199px) {
  
.footer-grid {
  display: grid;
  grid-auto-columns: calc(52% - 45px) calc(20% - 45px) calc(20% - 45px) calc(21% - 45px);
  grid-column-gap: 25px;
  
}

}

@media (min-width: 1200px) {
}
